# $Revision: 1.14 $, $Date: 2009/06/29 21:10:29 $
%define		snap	20090629

Summary:	Libraries for building foreign function call interfaces
Summary(pl.UTF-8):	Biblioteki do tworzenia interfejsów wywołań obcych funkcji
Name:		ffcall
Version:	1.11
Release:	0.%{snap}.1
Epoch:		1
License:	GPL
Group:		Libraries
# cvs -d:pserver:anonymous@cvs.sv.gnu.org:/sources/libffcall co .
Source0:	%{name}-%{snap}.tar.bz2
# Source0-md5:	a5190885da8e701a012bb282bfb3c51b
Patch0:		%{name}-make-jN.patch
Patch1:		%{name}-sparcv9.patch
# https://savannah.gnu.org/bugs/index.php?22081
Patch2:		%{name}-sparc64.patch
URL:		http://savannah.gnu.org/projects/libffcall
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:
- avcall - calling C functions with variable arguments
- vacall - C functions accepting variable argument prototypes
- trampoline - closures as first-class C functions
- callback - closures with variable arguments as first-class C
  functions (a reentrant combination of vacall and trampoline)

This version B includes some minor configuration changes so that files
are installed in the proper place. Also it compiles on cygwin and
mingw32.

%description -l pl.UTF-8
To jest zestaw czterech bibliotek, których można użyć do tworzenia
interfejsów wywołań obcych procedur we wbudowanych interpreterach.

Te cztery pakiety to:
- avcall - wywoływanie funkcji w C ze zmiennymi argumentami
- vacall - funkcje w C akceptujące prototypy ze zmiennymi argumentami
- trampoline - domknięcia jako funkcje C pierwszej klasy
- callback - domknięcia ze zmiennymi argumentami jako funkcje C
  pierwszej klasy (zagnieżdżalna kombinacja vacall i trampoline)

Ta wersja B zawiera trochę małych zmian w konfiguracji, dzięki którym
pliki instalują się we właściwych miejscach. A także kompiluje się pod
cygwinem i mingw32.

%package devel
Summary:	Development files for ffcall libraries
Summary(pl.UTF-8):	Pliki dla programistów używających bibliotek ffcall
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Development files for ffcall libraries: headers and static trampoline
and vacall libraries.

%description devel -l pl.UTF-8
Pliki dla programistów używających bibliotek ffcall: nagłówki i
statyczne biblioteki trampoline oraz vacall.

%package static
Summary:	Static versions of avcall and callback libraries
Summary(pl.UTF-8):	Statyczne wersje bibliotek avcall i callback
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static versions of avcall and callback libraries.

%description static -l pl.UTF-8
Statyczne wersje bibliotek avcall i callback.

%prep
%setup -q -n %{name}-%{snap}
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# don't need those since we have man pages
%{__rm} $RPM_BUILD_ROOT/usr/share/html/*.html

%clean
rm -fr $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc */*.html
%attr(755,root,root) %{_libdir}/lib*.so*
%{_libdir}/lib*.la
%{_libdir}/libtrampoline.a
%{_libdir}/libvacall.a
%{_includedir}/*
%{_mandir}/man?/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libavcall.a
%{_libdir}/libcallback.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ffcall.spec,v $
Revision 1.14  2009/06/29 21:10:29  tommat
- try build on sparc64

Revision 1.13  2009/06/29 20:28:34  tommat
- sparcv9 patch

Revision 1.12  2009/06/29 20:08:51  tommat
- new url
- snap 20090629
- maybe rename to libffcall after full release

Revision 1.11  2009/02/18 12:53:25  duddits
- rel. 2, fix build, cleaning

Revision 1.10  2007/12/18 21:26:01  zbyniu
- simple patch instead of stupid workaround (make -j N)

Revision 1.9  2007-12-18 19:06:45  sls
- __make -j1

Revision 1.8  2007-02-12 21:23:55  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.6  2004/10/31 13:36:13  qboosh
- updated to 1.10 (fix for gcc 3.4)

Revision 1.5  2004/02/22 19:29:26  qboosh
- updated to 1.9

Revision 1.4  2003/06/23 17:04:12  jareq
- fixed epoch:version issue

Revision 1.3  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:47:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/12/29 00:14:03  qboosh
- new
